Debian Bug report logs - #632460
dicomscope: hardcoded dependency on libssl0.9.8

version graph

Package: dicomscope; Maintainer for dicomscope is Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>; Source for dicomscope is src:dicomscope.

Reported by: Julien Cristau <jcristau@debian.org>

Date: Sat, 2 Jul 2011 12:08:47 UTC

Severity: serious

Tags: patch

Found in version dicomscope/3.6.0-6

Fixed in version dicomscope/3.6.0-6.1

Done: Mark Hymers <mhy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#632460; Package dicomscope. (Sat, 02 Jul 2011 12:08:52 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sat, 02 Jul 2011 12:09:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dicomscope: hardcoded dependency on libssl0.9.8
Date: Sat, 2 Jul 2011 14:06:02 +0200
[Message part 1 (text/plain, inline)]
Package: dicomscope
Version: 3.6.0-6
Severity: serious

dicomscope-3.6.0/debian/control:Depends: ${shlibs:Depends}, ${misc:Depends}, wish | tk8.5 | tk8.4, libdcmtk2 (>= 3.6.0), libssl0.9.8,
dicomscope-3.6.0/debian/control- libxml2, java-gcj-compat | java1-runtime | java2-runtime

You don't need to hardcode library ABIs in your Depends, that's what
dpkg-shlibdeps is for.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#632460; Package dicomscope. (Sat, 02 Jul 2011 13:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sat, 02 Jul 2011 13:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 632460@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: Julien Cristau <jcristau@debian.org>, 632460@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#632460: dicomscope: hardcoded dependency on libssl0.9.8
Date: Sat, 2 Jul 2011 14:43:19 +0100
[Message part 1 (text/plain, inline)]
tag 632460 +patch
thanks

> dicomscope-3.6.0/debian/control:Depends: ${shlibs:Depends}, ${misc:Depends}, wish | tk8.5 | tk8.4, libdcmtk2 (>= 3.6.0), libssl0.9.8,
> dicomscope-3.6.0/debian/control- libxml2, java-gcj-compat | java1-runtime | java2-runtime
> 
> You don't need to hardcode library ABIs in your Depends, that's what
> dpkg-shlibdeps is for.

Trivial build-tested patch attached which also updates the java
dependency to use default-jre.

Mark

-- 
Mark Hymers <mhy at debian dot org>

"We have three realistic alternatives: (1) Sit here and get blown up, (2)
 Stand here and get blown up, (3) Jump up and down, shout at me for not being
 able to think of anything, then get blown up."
     Holly, Red Dwarf Series III - Bodyswap
[dicomscope.nmudiff (text/plain, attachment)]

Added tag(s) patch. Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 02 Jul 2011 13:45:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#632460; Package dicomscope. (Sat, 02 Jul 2011 16:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sat, 02 Jul 2011 16:00:03 GMT) Full text and rfc822 format available.

Message #17 received at 632460@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: Julien Cristau <jcristau@debian.org>, 632460@bugs.debian.org
Subject: Re: Bug#632460: dicomscope: hardcoded dependency on libssl0.9.8
Date: Sat, 2 Jul 2011 16:56:25 +0100
On Sat, 02, Jul, 2011 at 02:43:19PM +0100, Mark Hymers spoke thus..
> tag 632460 +patch
> thanks
> 
> > dicomscope-3.6.0/debian/control:Depends: ${shlibs:Depends}, ${misc:Depends}, wish | tk8.5 | tk8.4, libdcmtk2 (>= 3.6.0), libssl0.9.8,
> > dicomscope-3.6.0/debian/control- libxml2, java-gcj-compat | java1-runtime | java2-runtime
> > 
> > You don't need to hardcode library ABIs in your Depends, that's what
> > dpkg-shlibdeps is for.
> 
> Trivial build-tested patch attached which also updates the java
> dependency to use default-jre.

Hi,

I've uploaded an NMU (6.3.0-1.1) to DELAYED/7-days.  Feel free to cancel
the upload with a newer one in the next week if you'd rather.

Cheers,

Mark

-- 
Mark Hymers <mhy at debian dot org>

"Well, the thing about a black hole - it's main distinguishing feature - is
 it's black. And the thing about space, your basic space colour is black. So
 how are you supposed to see them?"
     Holly, Red Dwarf Series III - Marooned




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#632460; Package dicomscope. (Sat, 02 Jul 2011 16:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sat, 02 Jul 2011 16:36:03 GMT) Full text and rfc822 format available.

Message #22 received at 632460@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Mark Hymers <mhy@debian.org>, 632460@bugs.debian.org
Cc: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Subject: Re: Bug#632460: dicomscope: hardcoded dependency on libssl0.9.8
Date: Sat, 2 Jul 2011 18:32:26 +0200
Hi Mark,

On Sat, Jul 02, 2011 at 04:56:25PM +0100, Mark Hymers wrote:
> 
> I've uploaded an NMU (6.3.0-1.1) to DELAYED/7-days.  Feel free to cancel
> the upload with a newer one in the next week if you'd rather.

Thanks for the NMU - IMHO there is no need to override your DELAYED
upload.  However, could you please be so kind to commit your changes to
SVN which is writable for all DDs?

Kind regards

      Andreas.

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#632460; Package dicomscope. (Sat, 02 Jul 2011 17:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sat, 02 Jul 2011 17:09:06 GMT) Full text and rfc822 format available.

Message #27 received at 632460@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: Andreas Tille <tille@debian.org>
Cc: 632460@bugs.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Subject: Re: Bug#632460: dicomscope: hardcoded dependency on libssl0.9.8
Date: Sat, 2 Jul 2011 18:04:26 +0100
On Sat, 02, Jul, 2011 at 06:32:26PM +0200, Andreas Tille spoke thus..
> Hi Mark,
> 
> On Sat, Jul 02, 2011 at 04:56:25PM +0100, Mark Hymers wrote:
> > 
> > I've uploaded an NMU (6.3.0-1.1) to DELAYED/7-days.  Feel free to cancel
> > the upload with a newer one in the next week if you'd rather.
> 
> Thanks for the NMU - IMHO there is no need to override your DELAYED
> upload.  However, could you please be so kind to commit your changes to
> SVN which is writable for all DDs?

Hi,

I just tried but can't commit.  I suspect the alioth changearounds have
lost the ACL for DDs:

# file: svn/debian-med
# owner: root
# group: scm_debian-med
# flags: -s-
user::rwx
group::rwx
group:debian-med:rwx
group:scm_debian-med:rwx
mask::rwx
other::r-x
default:user::rwx
default:group::rwx
default:group:debian-med:rwx
default:group:scm_debian-med:rwx
default:mask::rwx
default:other::r-x



-- 
Mark Hymers <mhy at debian dot org>

"But Yossarian *still* didn't understand either how Milo could buy eggs
 in Malta for seven cents apiece and sell them at a profit in Pianosa
 for five cents."
     Catch 22, Joseph Heller




Reply sent to Mark Hymers <mhy@debian.org>:
You have taken responsibility. (Sun, 03 Jul 2011 07:06:05 GMT) Full text and rfc822 format available.

Notification sent to Julien Cristau <jcristau@debian.org>:
Bug acknowledged by developer. (Sun, 03 Jul 2011 07:06:06 GMT) Full text and rfc822 format available.

Message #32 received at 632460-close@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 632460-close@bugs.debian.org
Subject: Bug#632460: fixed in dicomscope 3.6.0-6.1
Date: Sun, 03 Jul 2011 07:02:52 +0000
Source: dicomscope
Source-Version: 3.6.0-6.1

We believe that the bug you reported is fixed in the latest version of
dicomscope, which is due to be installed in the Debian FTP archive:

dicomscope_3.6.0-6.1.diff.gz
  to main/d/dicomscope/dicomscope_3.6.0-6.1.diff.gz
dicomscope_3.6.0-6.1.dsc
  to main/d/dicomscope/dicomscope_3.6.0-6.1.dsc
dicomscope_3.6.0-6.1_amd64.deb
  to main/d/dicomscope/dicomscope_3.6.0-6.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 632460@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hymers <mhy@debian.org> (supplier of updated dicomscope package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 02 Jul 2011 13:28:34 +0000
Source: dicomscope
Binary: dicomscope
Architecture: source amd64
Version: 3.6.0-6.1
Distribution: unstable
Urgency: low
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Changed-By: Mark Hymers <mhy@debian.org>
Description: 
 dicomscope - The OFFIS DICOM Viewer
Closes: 632460
Changes: 
 dicomscope (3.6.0-6.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix shlibdeps.  Closes: #632460.
   * Replace java depends with default-jre.
Checksums-Sha1: 
 6c1c97adb2ec4ba84f3cc90760094e39c5f432d6 2038 dicomscope_3.6.0-6.1.dsc
 ff9e7b9cc12bf3d89f1f00c459b77556535873e6 14069 dicomscope_3.6.0-6.1.diff.gz
 ada09759cc87788522c1d0c4f79ad72955e228ac 3030262 dicomscope_3.6.0-6.1_amd64.deb
Checksums-Sha256: 
 2543e2b3990562c02ea8122601c90e5a6f7d648568e7264ce4f1dc8659022e46 2038 dicomscope_3.6.0-6.1.dsc
 c0dcf63592c09813b8213a1c012ddf8c5f30fcd37ee5ffbd30a18a500175ad81 14069 dicomscope_3.6.0-6.1.diff.gz
 2005f834f9f3a6a85b6c6ea041b15da7d89335b16a2aa726e634d05f306add95 3030262 dicomscope_3.6.0-6.1_amd64.deb
Files: 
 85612cb1a7e06a495d9949ddd77d3bc7 2038 graphics extra dicomscope_3.6.0-6.1.dsc
 3305ad8a38c767f5fa86059b4339cfff 14069 graphics extra dicomscope_3.6.0-6.1.diff.gz
 634d5ea1e2a49993fa5ac5411cd46e3d 3030262 graphics extra dicomscope_3.6.0-6.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJODz9GAAoJEBG05f8VsP2CSyEQAKiuF0J5b4snqeGb0gKKF/qz
eX5hAmRLqveicHyNg+wQHKywZt8bb/TLGkNkfTEaMJgwr3VB1wTkPyjbFs4AuAhY
ISTKWaROQwMBWNpBhIcKJa83eAFVMpVxrL+jiWdeICXxkpzHswVe2hiO5IJqkID1
qjF8CWLmIk1i7JpM1wswbfmOYrfBsY4pEzvOW0Nb5qoToenrmax/m1straA+goqX
mW7ea2hWw2Eoen093vu6y9yG0U4NRaoBcjXaJCD3ufO8CBkQAn0C4fbS58jBYTEX
39r8d5t6aTy6e01AG7YBYUqUxxieKaHqN2YyQ2yTJr8NAYQ3vtg5pciBzBMo5CMO
MNmSXEGfq+Zr61MbRNCrp5uiBzQx98RbCNRpRDHMKYUgFNIssdWYYgzzIJHNkhqJ
HwdRDzps0SotR7Omc/RuDrpIIXJWP+uc3/+TxQK5C2WwB3LLui3u5HlYmhTh8wTQ
oCct/7LWuxIZcGrghRdQd/aSwJDnDmiHg2EYc1Kg+j402UPiN+AU+6OoXm8UEAsg
oIWs5ML4IIlgYjAcUjQbZsU9lhYfzTuZADSXUO3Kza6EG4Xn9snGVX1vkYjmwsgY
X0806jw6lZod+kJRn0BUmclrr9C7jxtKs9y7G67Iu1lyucCp4bdE1/jhbxNEP6Bs
REVwbHuq+eiukMCBjve0
=kZZS
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 16 Sep 2011 07:33:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:14:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.